<script>
$(document).ready(function() {
    var table = $('#dataTablesArtDel').DataTable({
        "oLanguage": { "sUrl": "l10n/dataTables.txt" },
        "iDisplayLength": 50,
        "aoColumnDefs": [
            {"bSortable": false, "aTargets": [ 3,4 ]}
        ]
    });
    $(".ckbCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = true;
        });
    });
    $(".ckbUnCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = false;
        });
    });
    $(".ckbReactivate").click(function () {
        var ArrayArticleId = [];
        $("input:checked").each(function() {
            ArrayArticleId.push($(this).val());
        });
        if(window.confirm(react_article)){
             gestion_article_array(ArrayArticleId,'rea','delete');
        }else{
            return false;
        }
    });
    $(".ckbDelete").click(function () {
        var ArrayArticleId = [];
        $("input:checked").each(function() {
            ArrayArticleId.push($(this).val());
        });
        if(window.confirm(suppr_article)){
             gestion_article_array(ArrayArticleId,'del','delete');
        }else{
            return false;
        }
    });
    //Gestion class active sur menu
    $("[id^='li']").removeAttr('class');
    $('#li6').attr("class", "active");
});
</script>
<?php
require_once dirname(__FILE__).'/../../../includes/base.inc.php';

session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if($_POST['affichage']=='true'){

		//Récuperation du modèle pour le requetâge SQL
		include dirname(__FILE__).'/../../modeles/articles.php';

		//On récupère les articles
		$articles_delete = recuperer_articles_delete();
        ?>
        <table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesArtDel" style="table-layout: fixed;">
        <thead>
            <tr>
                <th>Titre</th>
                <th class="center-cell">Type</th>
                <th class="center-cell">Publication</th>
                <th class="center-cell"></th>
                <th class="center-cell">
                    <div class="btn-group">
                        <button class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                            Action <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu pull-right">
                            <li class="ckbCheckAll">Tout cocher</li>
                            <li class="ckbUnCheckAll">Tout décocher</li>
                            <li class="divider"></li>
                            <li class="ckbReactivate">Réactiver</li>
                            <li class="divider"></li>
                            <li class="ckbDelete">Supprimer</li>
                        </ul>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
        <?php
		foreach($articles_delete as $key => $article)
		{
			if($article['status'] != "D"){
                $status = '<span class="label label-success">Activé</span>';
            }else{
                $status = '<span class="label label-danger">Désactivé</span>';
            }
            //type de l'article en fonction de son code
            $type = type_article($article['type']);
			echo '<tr><td class="truncate myhover" onclick="recup_info_ajax(\'articles\','.Secure::bdd($article['id']).');">'.Secure::html($article['title']).'</td>'.
                 '<td class="center-cell">'.Secure::html($type).'</td>'.
                 '<td class="center-cell"><span style="display: none;">'.format_date_inv($article['pubdate_formater']).'</span>'.Secure::html($article['pubdate_formater']).'</td>'.
                 '<td class="center-cell">'.$status.'</td>'.
                 '<td class="center-cell">';
                if($article['status']=="D"){
                    echo '<input type="checkbox" value="'.Secure::bdd($article['id']).'" class="checkBoxClass"></td></tr>';
                }else{
                    echo '<input type="checkbox" value="" disabled></td></tr>';
                }
		}
		echo '</tbody>';
        echo '<t/table>';
	}else{
		echo "Pas non accessible.";
	}
}else{
	redir($adresse);
}
