<script>
$(document).ready(function() {
    var table = $('#dataTablesArtInterv').DataTable({
        "oLanguage": { "sUrl": "l10n/dataTables.txt" },
        "iDisplayLength": 50,
        "aoColumnDefs": [
            {"bSortable": false, "aTargets": [ 3,4 ]}
        ]
    });
    $(".ckbCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = true;
        });
    });
    $(".ckbUnCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = false;
        });
    });
    $(".ckbDesactivate").click(function () {
        var ArrayArticleId = [];
        $("input:checked").each(function() {
            ArrayArticleId.push($(this).val());
        });
        if(window.confirm(desact_article)){
             gestion_article_array(ArrayArticleId,'des','intervalle-1');
        }else{
            return false;
        }
    });
    //Gestion class active sur menu
    $("[id^='li']").removeAttr('class');
    $('#li2').attr("class", "active");
});
</script>
<?php
//Pour éviter l'accès à la page directement, on vérifie que la page en reçoit bien l'autorisation
if($_POST['affichage']=='true'){

	require_once dirname(__FILE__).'/../../../includes/base.inc.php';

	//Récuperation du modèle pour le requetâge SQL
	include dirname(__FILE__).'/../../modeles/articles.php';

    //On récupère les articles
    $articles_intervalle = recuperer_articles_intervalle(1);
    ?>
    <table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesArtInterv" style="table-layout: fixed;">
    <thead>
        <tr>
            <th>Titre</th>
            <th class="center-cell">Type</th>
            <th class="center-cell">Publication</th>
            <th class="center-cell"></th>
            <th class="center-cell">
                <div class="btn-group">
                    <button class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                        Action <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu pull-right">
                        <li class="ckbCheckAll">Tout cocher</li>
                        <li class="ckbUnCheckAll">Tout décocher</li>
                        <li class="divider"></li>
                        <li class="ckbDesactivate">Désactiver</li>
                    </ul>
                </div>
            </th>
        </tr>
    </thead>
    <tbody>
    <?php
    foreach($articles_intervalle as $key => $article)
    {
        if($article['status'] != "D"){
            $status = '<span class="label label-success">Activé</span>';
        }else{
            $status = '<span class="label label-danger">Désactivé</span>';
        }
        //type de l'article en fonction de son code
        $type = type_article($article['type']);
        echo '<tr><td class="truncate myhover" onclick="recup_info_ajax(\'articles\','.Secure::bdd($article['id']).');">'.Secure::html($article['title']).'</td>'.
             '<td class="center-cell">'.Secure::html($type).'</td>'.
             '<td class="center-cell"><span style="display: none;">'.format_date_inv($article['pubdate_formater']).'</span>'.Secure::html($article['pubdate_formater']).'</td>'.
             '<td class="center-cell">'.$status.'</td>'.
             '<td class="center-cell">';
            if($article['status']!="D"){
                echo '<input type="checkbox" value="'.Secure::bdd($article['id']).'" class="checkBoxClass"></td></tr>';
            }else{
                echo '<input type="checkbox" value="" disabled></td></tr>';
            }
    }
    echo '</tbody>';
    echo '<t/table>';
}else{
	echo "Pas non accessible.";
}