<?php
require_once dirname(__FILE__).'/../../../includes/base.inc.php';

//Récuperation du modèle pour le requetâge SQL
include dirname(__FILE__).'/../../modeles/articles.php';
include dirname(__FILE__).'/../../modeles/users.php';

session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if(isset($_POST['id'])&&(!empty($_POST['id']))){

		$id = Secure::bdd($_POST['id']);

		/*********************************************** Infos de l'article ***********************************************************/
		$infos_article = recuperer_infos_article($id);
        ?>
        <script>
        var ArrayArticleId = [];
        ArrayArticleId.push(<?php echo $id; ?>);
        </script>
        <?php
        foreach($infos_article as $key => $info)
        {
            echo '<div>';
            if($info['status']!="D"){
                echo '<h4>Informations sur l\'article <span class="label label-success">Activé</span> <span class="glyphicon glyphicon-eye-close" onclick="if(window.confirm(\''.$desact_article.'\')){gestion_article_array(ArrayArticleId,\'des\',\'total\');}else{return false;};" title="Désactiver"></span></h4>';
            }else{
                echo '<h4>Informations sur l\'article <span class="label label-danger">Désactivé</span> <span class="glyphicon glyphicon-eye-open" onclick="if(window.confirm(\''.$react_article.'\')){gestion_article_array(ArrayArticleId,\'rea\',\'total\');}else{return false;};" title="Réactiver"></span></h4>';
            }
            switch($info['status']){
                case "1":
                    $visibilite = "Visible par le propriétaire";
                    break;
                case "2":
                    $visibilite = "Visible par le réseau et groupe";
                    break;
                case "3":
                    $visibilite = "Visible par tout le monde";
                    break;
                case "D":
                    $visibilite = "Désactivé";
                    break;
            }
            //type de l'article en fonction de son code
            $type = type_article($info['type']);
            echo '<ul class="list-group">';
            echo '<li class="list-group-item">Titre de l\'article : '.Secure::html($info['title']).'</li>';
            echo '<li class="list-group-item">Type : '.Secure::html($type).'</li>';
            if(!empty($info['description'])){
                echo '<li class="list-group-item">Contenu de l\'article : '.Secure::strip_desc($info['description']).'</li>';
            }else{
                echo '<li class="list-group-item">Contenu de l\'article : Aucun</li>';
            }
            if(!empty($info['keywords'])){
                echo '<li class="list-group-item">Mots-clés : '.Secure::html($info['keywords']).'</li>';
            }else{
                echo '<li class="list-group-item">Mots-clés : Aucun</li>';
            }
            echo '<li class="list-group-item">Date de publication : '.Secure::html($info['pubdate_formater']).'</li>';
            echo '<li class="list-group-item">Status : '.$visibilite.'</li>';
            echo '<li class="list-group-item">Nombre de commentaires : '.Secure::html($info['commentsnb']).'</li>';
        }

		/************************************* utilisateur/propriétaire de l'article ****************************************************/
		/*$infos_userowner = recuperer_userowner_article($id);

			foreach($infos_userowner as $key => $info)
			{
				$infos_user = recuperer_infos_user(Secure::bdd($info['user_id']));
				$infos_owner = recuperer_infos_user(Secure::bdd($info['owner_id']));
				foreach($infos_user as $key => $info_u){
					if(is_user_exist_uid(Secure::bdd($info_u['username']))){
						$infos_user_ldap = recup_infos_ldap(Secure::bdd($info_u['username']));
						echo '<li><span class="libelle">Propriétaire</span> : '.Secure::html($infos_user_ldap[0]).'</li>';
						echo '<li><span class="libelle">Mail du propriétaire</span> : '.Secure::html($infos_user_ldap[1]).'</li>';
					}
				}
				foreach($infos_owner as $key => $info_o){
					if($info_u['username'] != $info_o['username']){
						if(is_user_exist_uid(Secure::bdd($info_o['username']))){
							$infos_user_ldap = recup_infos_ldap(Secure::bdd($info_o['username']));
							echo '<li><span class="libelle">Propriétaire secondaire</span> : '.Secure::html($infos_user_ldap[0]).'</li>';
							echo '<li><span class="libelle">Mail du propriétaire secondaire</span> : '.Secure::html($infos_user_ldap[1]).'</li>';
						}
					}
				}
			}*/
		echo '</ul>';
		echo '</div';
	}else{
		echo "Erreur - Pas d'ID";
	}
}else{
	redir($adresse);
}