<script>
$(document).ready(function() {
    var table = $('#dataTablesCmtDel').DataTable({
        "oLanguage": { "sUrl": "l10n/dataTables.txt" },
        "iDisplayLength": 50,
        "aoColumnDefs": [
            {"bSortable": false, "aTargets": [ 3,4 ]}
        ]
    });
    $(".ckbCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = true;
        });
    });
    $(".ckbUnCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = false;
        });
    });
    $(".ckbReactivate").click(function () {
        var ArrayCommentId = [];
        $("input:checked").each(function() {
            ArrayCommentId.push($(this).val());
        });
        if(window.confirm(react_comment)){
            gestion_comment_array(ArrayCommentId,'rea','delete');
        }else{
            return false;
        }
    });
    $(".ckbDelete").click(function () {
        var ArrayCommentId = [];
        $("input:checked").each(function() {
            ArrayCommentId.push($(this).val());
        });
        if(window.confirm(suppr_comment)){
            gestion_comment_array(ArrayCommentId,'del','delete');
        }else{
            return false;
        }
    });
    //Gestion class active sur menu
    $("[id^='li']").removeAttr('class');
    $('#li6').attr("class", "active");
});
</script>
<?php
require_once dirname(__FILE__).'/../../../includes/base.inc.php';

session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if($_POST['affichage']=='true'){

		//Récuperation du modèle pour le requetâge SQL
		include dirname(__FILE__).'/../../modeles/comments.php';

		//On récupère les commentaires
		$comments_delete = recuperer_comments_delete();
        ?>
         <table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesCmtDel" style="table-layout: fixed;">
		<thead>
             <tr>
                <th>Commentaire</th>
                <th class="center-cell">Publication</th>
                <th class="center-cell">Article</th>
                <th class="center-cell"></th>
                <th class="center-cell">
                    <div class="btn-group">
                        <button class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                            Action <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu pull-right">
                            <li class="ckbCheckAll">Tout cocher</li>
                            <li class="ckbUnCheckAll">Tout décocher</li>
                            <li class="divider"></li>
                            <li class="ckbReactivate">Réactiver</li>
                            <li class="divider"></li>
                            <li class="ckbDelete">Supprimer</li>
                        </ul>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
        <?php
		foreach($comments_delete as $key => $comment)
		{
			if($comment['status'] != "D"){
                $status = '<span class="label label-success">Activé</span>';
            }else{
                $status = '<span class="label label-danger">Désactivé</span>';
            }
			echo '<tr><td class="truncate myhover" onclick="recup_info_ajax(\'comments\','.Secure::bdd($comment['comment_id']).');">'.Secure::html($comment['message']).'</td>'.
				 '<td class="center-cell"><span style="display: none;">'.format_date_inv($comment['pubdate_formater']).'</span>'.Secure::html($comment['pubdate_formater']).'</td>'.
				 '<td class="truncate">'.Secure::html($comment['title']).'</td>'.
				  '<td class="center-cell">'.$status.'</td>'.
                 '<td class="center-cell">';
                if($comment['status']=="D"){
                    echo '<input type="checkbox" value="'.Secure::bdd($comment['comment_id']).'" class="checkBoxClass"></td></tr>';
                }else{
                    echo '<input type="checkbox" value="" disabled></td></tr>';
                }
		}
		echo '</tbody>';
		echo '</table>';
	}else{
		echo "Pas non accessible.";
	}
}else{
	redir($adresse);
}