<script>
$(document).ready(function() {
    var table = $('#dataTablesCmtVideMess').DataTable({
        "oLanguage": { "sUrl": "l10n/dataTables.txt" },
        "iDisplayLength": 50,
        "aoColumnDefs": [
            {"bSortable": false, "aTargets": [ 3,4 ]}
        ]
    });
    $(".ckbCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = true;
        });
    });
    $(".ckbUnCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = false;
        });
    });
    $(".ckbDesactivate").click(function () {
        var ArrayCommentId = [];
        $("input:checked").each(function() {
            ArrayCommentId.push($(this).val());
        });
        if(window.confirm(desact_comment)){
            gestion_comment_array(ArrayCommentId,'des','vide_mess');
        }else{
            return false;
        }
    });
    //Gestion class active sur menu
    $("[id^='li']").removeAttr('class');
    $('#li1').attr("class", "active");
});
</script>
<?php
if($_POST['affichage']=='true'){

	require_once dirname(__FILE__).'/../../../includes/base.inc.php';

	//Récuperation du modèle pour le requetâge SQL
	include dirname(__FILE__).'/../../modeles/comments.php';

	//On récupère les commentaires
	$comments_sansmess = recuperer_comments_vide_mess();
	?>
    <table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesCmtVideMess" style="table-layout: fixed;">
    <thead>
        <tr>
            <th>Commentaire</th>
            <th class="center-cell">Publication</th>
            <th class="center-cell">Article</th>
            <th class="center-cell"></th>
            <th class="center-cell">
                <div class="btn-group">
                    <button class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                        Action <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu pull-right">
                        <li class="ckbCheckAll">Tout cocher</li>
                        <li class="ckbUnCheckAll">Tout décocher</li>
                        <li class="divider"></li>
                        <li class="ckbDesactivate">Désactiver</li>
                    </ul>
                </div>
            </th>
        </tr>
    </thead>
    <tbody>
    <?php
	foreach($comments_sansmess as $key => $comment)
	{
		if($comment['status'] != "D"){
            $status = '<span class="label label-success">Actif</span>';
        }else{
            $status = '<span class="label label-danger">Inactif</span>';
        }
        echo '<tr><td class="truncate myhover" onclick="recup_info_ajax(\'comments\','.Secure::bdd($comment['comment_id']).');">'.Secure::html($comment['message']).'</td>'.
             '<td class="center-cell"><span style="display: none;">'.format_date_inv($comment['pubdate_formater']).'</span>'.Secure::html($comment['pubdate_formater']).'</td>'.
             '<td class="truncate">'.Secure::html($comment['title']).'</td>'.
             '<td class="center-cell">'.$status.'</td>'.
             '<td class="center-cell">';
			if($comment['status']!="D"){
                echo '<input type="checkbox" value="'.Secure::bdd($comment['comment_id']).'" class="checkBoxClass"></td></tr>';
		 	}else{
                echo '<input type="checkbox" value="" disabled></td></tr>';
			}
	}
    echo '</tbody>';
    echo '</table>';
}else{
	echo "Pas non accessible.";
}
