var myLoading = '<div class="col-md-4"></div><div class="col-md-4"><div class="progress progress-striped active"><div class="progress-bar" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 100%"></div></div></div>';

//Messages de confirmation des groupes
var desact_groupe = "Voulez-vous vraiment désactiver ce(s) groupe(s) ?";
var react_groupe = "Voulez-vous vraiment réactiver ce(s) groupe(s) ?";
var suppr_groupe = "Voulez-vous vraiment supprimer définitivement ce(s) groupe(s) (cela supprimera aussi tous les articles et commentaires de ce(s) groupe(s)) ?";

//Messages de confirmation des articles
var desact_article = "Voulez-vous vraiment désactiver cet(ces) article(s) ?";
var react_article = "Voulez-vous vraiment réactiver cet(ces) article(s) ?";
var suppr_article = "Voulez-vous vraiment supprimer définitivement cet(ces) article(s) (ainsi que les commentaires associés) ?";

//Messages de confirmation des commentaires
var desact_comment = "Voulez-vous vraiment désactiver ce(s) commentaire(s) ?";
var react_comment = "Voulez-vous vraiment réactiver ce(s) commentaire(s) ?";
var suppr_comment = "Voulez-vous vraiment supprimer définitivement ce(s) commentaire(s) ?";

//Messages de confirmation des purges
var purger_comments = "Voulez-vous vraiment supprimer tous les commentaires du réseau social ?";
var purger_comments_date = "Voulez-vous vraiment supprimer tous les commentaires antérieurs au ";
var purger_articles = "Voulez-vous vraiment supprimer tous les articles et commentaires associés du réseau social ?";
var purger_articles_date = "Voulez-vous vraiment supprimer tous les articles et commentaires associés antérieurs au ";
var purger_groupes = "Voulez-vous vraiment supprimer tous les groupes, articles et commentaires associés du réseau social ?";
var purger_reseau_social = "Voulez-vous vraiment supprimer tous les informations en lien avec le réseau social ?";
var purger_onglets = "Voulez-vous vraiment supprimer tous les onglets des utilisateurs ?";

//Recupere toutes les infos d'un article/groupe/com
function recup_info_ajax(type,id){
	$('#content_info').show();
	$('#content_info').html(myLoading);
	$('#content_info').load("application/vues/"+type+"/info_"+type+".php", {'id':id});
}
//Recupere une liste des groupes
function recup_group_ajax(select){
	$('#content_info').show();
	$('#content_info').html(myLoading);
    $('#content_info').load("application/vues/groupes/groupes_"+select+".php", {'affichage':'true'});
}
//Recupere une liste des articles, permet le tri par champ et par ordre
function recup_article_ajax(select){
	$('#content_info').show();
	$('#content_info').html(myLoading);
    $('#content_info').load("application/vues/articles/articles_"+select+".php", {'affichage':'true'});
}
//Recupere une liste des commentaires, permet le tri par champ et par ordre
function recup_comment_ajax(select){
	$('#content_info').show();
	$('#content_info').html(myLoading);
    $('#content_info').load("application/vues/comments/comments_"+select+".php", {'affichage':'true'});
}
//Recupere une liste des utilisateurs, permet le tri par champ et par ordre
function recup_user_ajax(select){
	$('#content_info').show();
	$('#content_info').html(myLoading);
    $('#content_info').load("application/vues/users/users_"+select+".php", {'affichage':'true'});
}
//Permet d'afficher la page de resultat des recherches
function recup_rechercher_ajax(texte){
	if(trim(texte).length >= 3){
		$('#content_info').hide();
		$('#erreur_rech').html('');
		$('#content').show();
		$('#content').html(myLoading);
		$('#content').load("application/vues/resultat_rech.php", {'texte':texte});
	}else{
		$('input#ChampRech').val('3 caractères minimum...');
	}
}
//Permet la suppression/reactivation d'un tableau de groupes
function gestion_group_array(array_id,action,page){
	if(action=='des' || action=='del' || action=='rea'){
		if(typeof array_id !== 'undefined' && array_id.length > 0) {
            array_grpe_id = array_id.toString();
			$.post("application/controleurs/groupes.php", { 'array_grpe_id':array_grpe_id, 'action':action })
			.done(function(data) {
				recup_group_ajax(page);
			});
            //Refresh des compteurs
			$('#CompteursGroupes').load("application/controleurs/groupes.php", {'view':'compteurs'});
		}
	}
}
//Permet la suppression/reactivation d'un tableau d'articles
function gestion_article_array(array_id,action,page){
	if(action=='des' || action=='del' || action=='rea'){
		if(typeof array_id !== 'undefined' && array_id.length > 0) {
            array_art_id = array_id.toString();
			$.post("application/controleurs/articles.php", { 'array_art_id':array_art_id, 'action':action })
			.done(function(data) {
				recup_article_ajax(page);
			});
			//Refresh des compteurs
			$('#CompteursArticles').load("application/controleurs/articles.php", {'view':'compteurs'});
		}
	}
}
//Permet la suppression/reactivation d'un tableau de commentaires
function gestion_comment_array(array_id,action,page){
	if(action=='des' || action=='del' || action=='rea'){
		if(typeof array_id !== 'undefined' && array_id.length > 0) {
            array_cmt_id = array_id.toString();
			$.post("application/controleurs/comments.php", { 'array_cmt_id':array_cmt_id, 'action':action })
			.done(function(data) {
				recup_comment_ajax(page);
			});
			//Refresh des compteurs
			$('#CompteursComments').load("application/controleurs/comments.php", {'view':'compteurs'});
		}
	}
}
//Permet la purge
function gestion_purge(code_purge){
	if(code_purge=='1' || code_purge=='2' || code_purge=='3' || code_purge=='4' || code_purge=='5'){
        $.post("application/controleurs/purge.php", { 'code_purge':code_purge })
        .done(function(data) {
            alert("Nettoyage terminé");
        });
    }
}
//Permet la purge avec la notion de date
function gestion_purge_date(code_purge,date){
    //Date au format dd/jj/mmm à passer en yyyy-mm-dd
    var dateArray = date.split("/");
    var date_purge = dateArray[2]+"-"+dateArray[1]+"-"+dateArray[0];
	if(code_purge=='6' || code_purge=='7'){
        $.post("application/controleurs/purge.php", { 'code_purge':code_purge,'date_purge':date_purge })
        .done(function(data) {
            alert("Nettoyage terminé");
        });
    }
}
//Permet la suppression/reactivation d'un admin (user)
function gestion_admin(login,action){
	if(action=='add' || action=='del'){
		if(login!=""){
			$('#content_info').html(myLoading);
			$('#content_info').load("application/controleurs/admins.php", {'login':login,'action':action});
		}else{
			$('input#users').val('Le champ est vide');
		}
	}
}
function trim(myString)
{
	return myString.replace(/^\s+/g,'').replace(/\s+$/g,'')
}