<?php
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	$user_login = Secure::bdd($_SESSION['user_login']);

	if(is_admin($user_login)){
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Administration <?php echo $project_article_p.' '.$project_name;?></title>
    <?php include dirname(__FILE__).'/../../includes/headers.inc.php';?>
    <script>
    $(document).ready(function(){
        $('#submitRech').click(function (event) {
            event.preventDefault();
        });
        //Gestion class active sur navbar
        var pageactuel = '<?php echo $_GET['page'] ?>';
        $("[id^='menu-']").removeAttr('class');
        $('#menu-'+pageactuel+'').attr("class", "active");
	});
    </script>
</head>
<body>
<?php include dirname(__FILE__).'/menu.php';?>
<div id="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-4">
                <h5><span class="glyphicon glyphicon-stats"></span> Statistiques</h5>
                <ul class="list-group">
                <?php
                    echo '<li class="list-group-item"><span class="badge badge-info">'.Secure::html($compteur_users).'</span><b>Utilisateurs</b></li>';
                    echo '<li class="list-group-item"><span class="badge badge-info">'.Secure::html($compteur_groupe).'</span><b>Groupes</b></li>';
                    echo '<li class="list-group-item"><span class="badge badge-info">'.Secure::html($compteur_articles).'</span><b>Articles</b></li>';
                    echo '<li class="list-group-item"><span class="badge badge-info">'.Secure::html($compteur_comments).'</span><b>Commentaires</b></li>';
                ?>
                </ul>
            <div class="panel-group" id="accordion">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Log posh</a>
                        </h4>
                    </div>
                    <div id="collapseOne" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="list-group">
                            <?php
                            foreach($logs_recents_A as $key => $log){
                                echo '<li>'.Secure::html($log['logdate_formater']).' : '.Secure::html($log['log']).'</li>';
                            }
                            ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">Log système</a>
                        </h4>
                    </div>
                    <div id="collapseTwo" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="list-group">
                            <?php
                            foreach($logs_recents_O as $key => $log){
                                echo '<li>'.Secure::html($log['logdate_formater']).' : '.Secure::html($log['log']).'</li>';
                            }
                            ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            </div>
            <div class="col-md-8">
                <h5><span class="glyphicon glyphicon-user"></span> Groupes</h5>
                <ul class="list-group">
                <?php
                foreach($groupes_recents as $key => $groupe){
                    if($groupe['name']!=''){
                        echo '<li class="list-group-item truncate">'.Secure::html($groupe['creation_date_formater']).' : '.Secure::html($groupe['name']).'</li>';
                    }else{
                        echo '<li class="list-group-item">'.Secure::html($groupe['creation_date_formater']).' : Vide</li>';
                    }
                }
                ?>
                </ul>
                <h5><span class="glyphicon glyphicon-file"></span> Articles</h5>
                <ul class="list-group">
                <?php
                foreach($articles_recents as $key => $article){
                    if($article['title']!=''){
                        echo '<li class="list-group-item truncate">'.Secure::html($article['pubdate_formater']).' : '.Secure::html($article['title']).'</li>';
                    }else{
                        echo '<li class="list-group-item">'.Secure::html($article['pubdate_formater']).' : Vide</li>';
                    }
                }
                ?>
                </ul>
                <h5><span class="glyphicon glyphicon-comment"></span> Commentaires</h5>
                <ul class="list-group">
                <?php
                foreach($comments_recents as $key => $comment){
                    if($comment['message']!=''){
                        echo '<li class="list-group-item truncate">'.Secure::html($comment['pubdate_formater']).' : '.Secure::html($comment['message']).'</li>';
                    }else{
                        echo '<li class="list-group-item">'.Secure::html($comment['pubdate_formater']).' : Vide</li>';
                    }
                }
                ?>
                </ul>
            </div>
        </div>
    </div>
    <div id="content_info">
    </div>
</div>
</body>
</html>
<?php
	}else{
		echo "<p class=\"erreur\">Erreur - Vous ne pouvez accéder à cette ressource.</p>";
	}
}else{
	echo "<p class=\"erreur\">Erreur - Mauvaise gestion des utilisateurs. Merci de contacter l'administrateur.</p>";
}
?>
