<?php
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	$user_login = Secure::bdd($_SESSION['user_login']);

	if(is_admin($user_login)){
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Liste des admin <?php echo $project_article_p.' '.$project_name;?></title>
	<script type="text/javascript" src="lib/functions.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery.1.8.js"></script>
    <script type="text/javascript" src="lib/jquery/bootstrap.min.js"></script>
    <script type="text/javascript" src="lib/jquery/dt.jquery.js"></script>
    <script type="text/javascript" src="lib/jquery/dt.bootstrap.js"></script>
    <script type="text/javascript" src="lib/jquery/jquery.autocomplete.js"></script>
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css"/>
    <link rel="stylesheet" type="text/css" href="css/styles.css"/>
	<link rel="stylesheet" type="text/css" href="css/jquery.autocomplete.css"/>
    <link rel="stylesheet" type="text/css" href="css/dt.bootstrap.css"/>
<?php
if(file_exists('/var/www/html/sondepiwik/envoleTrackeur.js.php')) {
    include "/var/www/html/sondepiwik/envoleProfil.php";    
    echo "<script src='/sondepiwik/envoleTrackeur.js.php?appli=sap&profil=$profil'></script>";
}
elseif(file_exists('/var/www/html/piwik/envoleTrackeur.js.php')) {    
    include "/var/www/html/piwik/envoleProfil.php";    
    echo "<script src='/piwik/envoleTrackeur.js.php?appli=sap&amp;profil=".$profil."'></script>"; 
}
?>


	<script>
	$(document).ready(function() {
        $('#submitRech').click(function (event) {
            event.preventDefault();
        });
        //Gestion class active sur navbar
        var pageactuel = '<?php echo $_GET['page'] ?>';
        $("[id^='menu-']").removeAttr('class');
        $('#menu-'+pageactuel+'').attr("class", "active");

	    $('#users').autocomplete('includes/autocomplete.inc.php');

        var table = $('#dataTablesAdmin').DataTable({
            "oLanguage": { "sUrl": "l10n/dataTables.txt" },
            "iDisplayLength": 50
        });
	});
	</script>
</head>
<body>
<?php include dirname(__FILE__).'/menu.php';?>
<div id="content">
    <div class="container-fluid">
        <div class="col-md-12">
            <div class="alert alert-info"><strong>Important!</strong> Donner les droits d'administration ici revient à donner les droits d'administration sur POSH</div>
            <table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesAdmin" style="table-layout: fixed;">
                <thead>
                    <tr>
                        <th>Nom et Prénom</th>
                        <th>Login (uid)</th>
                        <th>Adresse mail</th>
                        <th class="center-cell">Dernière connexion</th>
                        <th>Mots clé</th>
                        <th class="center-cell">Ajout/suppression</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    foreach($admins as $key => $admin)
                    {
                        if(is_user_exist_uid(Secure::bdd($admin['username']))){
                            $infos_user_ldap = recup_infos_ldap(Secure::bdd($admin['username']));
                            echo '<tr>'.
                                     '<td class="truncate">'.Secure::html($infos_user_ldap[0]).'</td>'.
                                     '<td class="truncate">'.Secure::html($admin['username']).'</td>'.
                                     '<td class="truncate">'.Secure::html($infos_user_ldap[1]).'</td>'.
                                     '<td class="center-cell">'.Secure::html($admin['lastco_formater']).'</td>'.
                                     '<td class="truncate">'.Secure::html($admin['keywords']).'</td>';
                            if($admin['username']!="admin"){
                                echo '<td class="center-cell"><span class="glyphicon glyphicon-remove-circle" onclick="if(window.confirm(\''.$suppr_admin.'\')){gestion_admin(\''.Secure::bdd($admin['username']).'\',\'del\');}else{return false;};"></span></td>';
                            }else{
                                echo '<td class="center-cell">&nbsp;</td>';
                            }
                            echo '</tr>';
                        }
                    }
                    ?>

                </tbody>
            </table>
        </div>
        <div>
        <form class="form-inline" role="form">
            <div class="form-group">
                <input type="text" class="form-control" id="users" placeholder="Entrer uid"> <span class="glyphicon glyphicon-plus-sign" onclick="gestion_admin(document.getElementById('users').value,'add')" title="Ajouter"></span>
            </div>
        </form>
        </div>
    </div>
	<div id="content_info">
	</div>
</div>
</body>
</html>
<?php
	}else{
		echo "<p class=\"erreur\">Erreur - Vous ne pouvez accéder à cette ressource.</p>";
	}
}else{
	echo "<p class=\"erreur\">Erreur - Mauvaise gestion des utilisateurs. Merci de contacter l'administrateur.</p>";
}
?>
