<script>
$(document).ready(function() {
    var table = $('#dataTablesGrpDel').DataTable({
        "oLanguage": { "sUrl": "l10n/dataTables.txt" },
        "iDisplayLength": 50,
        "aoColumnDefs": [
            {"bSortable": false, "aTargets": [ 4,5 ]}
        ]
    });
    $(".ckbCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = true;
        });
    });
    $(".ckbUnCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = false;
        });
    });
    $(".ckbReactivate").click(function () {
        var ArrayGroupId = [];
        $("input:checked").each(function() {
            ArrayGroupId.push($(this).val());
        });
        if(window.confirm(react_groupe)){
            gestion_group_array(ArrayGroupId,'rea','delete');
        }else{
            return false;
        }
    });
    $(".ckbDelete").click(function () {
        var ArrayGroupId = [];
        $("input:checked").each(function() {
            ArrayGroupId.push($(this).val());
        });
        if(window.confirm(suppr_groupe)){
            gestion_group_array(ArrayGroupId,'del','delete');
        }else{
            return false;
        }
    });
    //Gestion class active sur menu
    $("[id^='li']").removeAttr('class');
    $('#li8').attr("class", "active");
});
</script>
<?php
require_once dirname(__FILE__).'/../../../includes/base.inc.php';

session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if($_POST['affichage']=='true'){

		//Récuperation du modèle pour le requetâge SQL
		include dirname(__FILE__).'/../../modeles/groupes.php';

		//On récupère les groupes
		$groups_delete = recuperer_groups_delete();
        ?>
        <table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesGrpDel" style="table-layout: fixed;">
		<thead>
            <tr>
                <th>Nom</th>
                <th class="center-cell">Création</th>
                <th class="center-cell">Type</th>
                <th>Description</th>
                <th class="center-cell"></th>
                <th class="center-cell">
                    <div class="btn-group">
                        <button class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                            Action <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu pull-right">
                            <li class="ckbCheckAll">Tout cocher</li>
                            <li class="ckbUnCheckAll">Tout décocher</li>
                            <li class="divider"></li>
                            <li class="ckbReactivate">Réactiver</li>
                            <li class="divider"></li>
                            <li class="ckbDelete">Supprimer</li>
                        </ul>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
        <?php
		foreach($groups_delete as $key => $group)
		{
			if($group['private'] == 1){
				$visibilite = $type_prive_lib;
			}else{
				$visibilite = $type_public_lib;
			}
			if($group['status'] == 1){
                $status = '<span class="label label-success">Activé</span>';
            }else{
                $status = '<span class="label label-danger">Désactivé</span>';
            }
			echo '<tr><td class="truncate myhover" onclick="recup_info_ajax(\'groupes\','.Secure::bdd($group['id']).');">'.Secure::html($group['name']).'</td>';
			echo '<td class="center-cell"><span style="display: none;">'.format_date_inv($group['creation_date_formater']).'</span>'.Secure::html($group['creation_date_formater']).'</td>'.
				 '<td class="center-cell">'.Secure::html($visibilite).'</td>'.
                 '<td class="truncate">'.Secure::html($group['description']).'</td>'.
                 '<td class="center-cell">'.$status.'</td>'.
				 '<td class="center-cell">';
				if($group['status']=="D"){
                    echo '<input type="checkbox" value="'.Secure::bdd($group['id']).'" class="checkBoxClass"></td></tr>';
                }else{
                    echo '<input type="checkbox" value="" disabled></td></tr>';
                }
		}
        echo '</tbody>';
		echo '</table>';
	}else{
		echo "Pas non accessible.";
	}
}else{
	redir($adresse);
}
