<script>
$(document).ready(function() {
    var table = $('#dataTablesGrpVideMem').DataTable({
        "oLanguage": { "sUrl": "l10n/dataTables.txt" },
        "iDisplayLength": 50,
        "aoColumnDefs": [
            {"bSortable": false, "aTargets": [ 4,5 ]}
        ]
    });
    $(".ckbCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = true;
        });
    });
    $(".ckbUnCheckAll").click(function () {
        $('.checkBoxClass').each(function() {
                this.checked = false;
        });
    });
    $(".ckbDesactivate").click(function () {
        var ArrayGroupId = [];
        $("input:checked").each(function() {
            ArrayGroupId.push($(this).val());
        });
        if(window.confirm(desact_groupe)){
            gestion_group_array(ArrayGroupId,'des','vide_membre');
        }else{
            return false;
        }
    });
    //Gestion class active sur menu
    $("[id^='li']").removeAttr('class');
    $('#li2').attr("class", "active");
});
</script>
<?php
//Pour éviter l'accès à la page directement, on vérifie que la page en reçoit bien l'autorisation
if($_POST['affichage']=='true'){

	require_once dirname(__FILE__).'/../../../includes/base.inc.php';

	//Récuperation du modèle pour le requetâge SQL
	include dirname(__FILE__).'/../../modeles/groupes.php';

	//On récupère les groupes
	$groups_vide_membre = recuperer_groups_vide_membre();
	?>
	<table cellpadding="0" cellspacing="0" border="0" class="table table-condensed table-striped" id="dataTablesGrpVideMem" style="table-layout: fixed;">
	<thead>
        <tr>
            <th>Nom</th>
            <th class="center-cell">Création</th>
            <th class="center-cell">Type</th>
            <th>Description</th>
            <th class="center-cell"></th>
            <th class="center-cell">
                <div class="btn-group">
                    <button class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                        Action <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu pull-right">
                        <li class="ckbCheckAll">Tout cocher</li>
                        <li class="ckbUnCheckAll">Tout décocher</li>
                        <li class="divider"></li>
                        <li class="ckbDesactivate">Désactiver</li>
                    </ul>
                </div>
            </th>
        </tr>
    </thead>
    <tbody>
    <?php
	foreach($groups_vide_membre as $key => $group)
	{
		if($group['private'] == 1){
			$visibilite = $type_prive_lib;
		}else{
			$visibilite = $type_public_lib;
		}
		if($group['status'] == 1){
			$status = '<span class="label label-success">Activé</span>';
		}else{
			$status = '<span class="label label-danger">Désactivé</span>';
		}
		echo '<tr><td class="truncate myhover" onclick="recup_info_ajax(\'groupes\','.Secure::bdd($group['id']).');">'.Secure::html($group['name']).'</td>';
		echo '<td class="center-cell"><span style="display: none;">'.format_date_inv($group['creation_date_formater']).'</span>'.Secure::html($group['creation_date_formater']).'</td>'.
			 '<td class="center-cell">'.Secure::html($visibilite).'</td>'.
             '<td class="truncate">'.Secure::html($group['description']).'</td>'.
			 '<td class="center-cell">'.$status.'</td>'.
             '<td class="center-cell">';
			if($group['status']!="D"){
                echo '<input type="checkbox" value="'.Secure::bdd($group['id']).'" class="checkBoxClass"></td></tr>';
		 	}else{
                echo '<input type="checkbox" value="" disabled></td></tr>';
			}
	}
    echo '</tbody>';
	echo '<t/table>';
}else{
	echo "Pas non accessible.";
}