<?php
require_once dirname(__FILE__).'/../../../includes/base.inc.php';

//Récuperation du modèle pour le requetâge SQL
include dirname(__FILE__).'/../../modeles/groupes.php';

session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if(isset($_POST['id'])&&(!empty($_POST['id']))){

		$id = Secure::bdd($_POST['id']);

		/*************************************** Infos du groupe et infos du créateur *************************************************/
		$infos_group = recuperer_infos_group($id);
        ?>
        <script>
        var ArrayGroupId = [];
        ArrayGroupId.push(<?php echo $id; ?>);
        </script>
        <?php
		foreach($infos_group as $key => $info)
		{
			echo '<div>';
				if($info['status'] == 1){
					echo '<h4>Informations sur le groupe <span class="label label-success">Activé</span> <span class="glyphicon glyphicon-eye-close" onclick="if(window.confirm(\''.$desact_groupe.'\')){gestion_group_array(ArrayGroupId,\'des\',\'total\');}else{return false;};" title="Désactiver"></span></h4>';
				}else{
					echo '<h4>Informations sur le groupe <span class="label label-danger">Désactivé</span> <span class="glyphicon glyphicon-eye-open" onclick="if(window.confirm(\''.$react_groupe.'\')){gestion_group_array(ArrayGroupId,\'rea\',\'total\');}else{return false;};" title="Réactiver"></span></h4>';
				}
				echo '<ul class="list-group">';
					echo '<li class="list-group-item">Nom du groupe : '.Secure::html($info['name']).'</li>';
					if(!empty($info['description'])){
						echo '<li class="list-group-item">Description : '.Secure::html($info['description']).'</li>';
					}else{
						echo '<li class="list-group-item">Description : Aucune</li>';
					}
					echo '<li class="list-group-item">Date de création : '.Secure::html($info['creation_date_formater']).'</li>';
					if($info['private'] == 1){
						echo '<li class="list-group-item">Visibilité : Privé</li>';
					}else{
						echo '<li class="list-group-item">Visibilité : Public</li>';
					}
					if($info['allowUnsubscribe'] == 1){
						echo '<li class="list-group-item">Autorise la désinscription : Oui</li>';
					}else{
						echo '<li class="list-group-item">Autorise la désinscription : Non</li>';
					}
				if(!empty($info['username'])){
					if(is_user_exist_uid(Secure::bdd($info['username']))){
						$infos_user_ldap = recup_infos_ldap(Secure::bdd($info['username']));
						echo '<li class="list-group-item">Nom et Prénom (uid) du créateur : '.Secure::html($infos_user_ldap[0]).' ('.Secure::html($info['username']).')</li>'.
							 '<li class="list-group-item">Adresse mail du créateur : '.Secure::html($infos_user_ldap[1]).'</li>';
					}
					$admin = $info['username'];
				}
				$membres_group = recuperer_membres_group_sansadmin($id,$admin);
				if(!empty($membres_group)){
					echo '<li class="list-group-item">Membres dans ce groupe : '.count($membres_group).'</li>';
				}else{
					echo '<li class="list-group-item">Membres dans ce groupe : Aucun membre</li>';
				}
				echo '</ul>';
			echo '</div>';
		}
		/*********************************************** Membres du groupe ************************************************************/
		/*$membres_group = recuperer_membres_group_sansadmin($id,$admin);

		echo '<div id="infos_group_mem">';
			echo '<h4>Membres du groupe</h4>';
			echo '<ul>';
				if(!empty($membres_group)){
					foreach($membres_group as $key => $membre)
					{
						if(is_user_exist_uid(Secure::bdd($membre['username'])) &&($admin != $membre['username'])){
							$infos_user_ldap = recup_infos_ldap(Secure::bdd($membre['username']));
							echo '<li><span class="libelle">'.Secure::html($infos_user_ldap[0]).'</span> dernière connexion le '.Secure::html($membre['lastconnect_date_formater']).'</li>';
					}
				}
				}else{
					echo '<li>Aucun</li>';
				}
			echo '</ul>';
		echo '</div>';*/
		/*********************************************** Articles du groupe ************************************************************/
		$articles_group = recuperer_articles_group($id);

		echo '<div>';
			echo '<h4>Articles du groupe</h4>';
			echo '<ul class="list-group">';
				if(!empty($articles_group)){
					foreach($articles_group as $key => $article)
					{
						/*if(is_user_exist_uid(Secure::bdd($article['username']))){
							$infos_user_ldap = recup_infos_ldap(Secure::bdd($article['username']));
							echo '<li>'.Secure::html($article['title']).' par '.Secure::html($infos_user_ldap[0]).' le '.Secure::html($article['pubdate_formater']).'<li>';
						}*/
						echo '<li class="list-group-item">'.Secure::html($article['title']).' le '.Secure::html($article['pubdate_formater']).'</li>';
					}
				}else{
					echo '<li class="list-group-item">Aucun</li>';
				}
			echo '</ul>';
		echo '</div>';
	}else{
		echo "Erreur - Pas d'ID";
	}
}else{
	redir($adresse);
}