<?php
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	$user_login = Secure::bdd($_SESSION['user_login']);

	if(is_admin($user_login)){
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Purge <?php echo $project_article_p.' '.$project_name;?></title>
	<?php include dirname(__FILE__).'/../../includes/headers.inc.php';?>
    <script type="text/javascript" src="lib/jquery/bootstrap-datepicker.js"></script>
    <link rel="stylesheet" type="text/css" href="css/datepicker.css"/>
</head>
<script>
$(document).ready(function() {

    var date=new Date();
    var jour=date.getDate();
    var mois=date.getMonth()+1;
    var an=date.getFullYear()-1;
    var valueDate = (jour<10 ? '0' : '') + jour + "/" + (mois<10 ? '0' : '') + mois + "/" + an;
    $('#datepicker').datepicker('setValue', valueDate);
    $('#DateRefCmt').text(valueDate);
    $('#DateRefArt').text(valueDate);
    $('#datepicker').datepicker()
        .on('changeDate', function(ev){
            $('#DateRefCmt').text(this.value);
            $('#DateRefArt').text(this.value);
            //ev.date.valueOf()
    });

    $('.checkBoxClass').click(function () {
        if(this.checked) {
            $("[class*='btnPurge']").removeAttr("disabled");
        } else {
            $("[class*='btnPurge']").attr("disabled", "disabled");
        }
    });
    $(".btnPurgeComments").click(function () {
        if(window.confirm(purger_comments)){
              gestion_purge(1);
        }else{
            return false;
        }
    });
    $(".btnPurgeArticles").click(function () {
        if(window.confirm(purger_articles)){
              gestion_purge(2);
        }else{
            return false;
        }
    });
    $(".btnPurgeGroupes").click(function () {
        if(window.confirm(purger_groupes)){
              gestion_purge(3);
        }else{
            return false;
        }
    });
    $(".btnPurgeReseauSocial").click(function () {
        if(window.confirm(purger_reseau_social)){
              gestion_purge(4);
        }else{
            return false;
        }
    });
    $(".btnPurgeOnglets").click(function () {
        if(window.confirm(purger_onglets)){
              gestion_purge(5);
        }else{
            return false;
        }
    });
    $(".btnPurgeCommentsMonth").click(function () {
        var DateRefModif = $('#datepicker').val();
        if(window.confirm(purger_comments_date+DateRefModif)){
              gestion_purge_date(6,DateRefModif);
        }else{
            return false;
        }
    });
    $(".btnPurgeArticlesMonth").click(function () {
        var DateRefModif = $('#datepicker').val();
        if(window.confirm(purger_articles_date+DateRefModif)){
              gestion_purge_date(7,DateRefModif);
        }else{
            return false;
        }
    });
});
</script>
<body>
<?php include dirname(__FILE__).'/menu.php';?>
<div id="content">
    <div class="container-fluid">
        <div class="col-md-12">
            <div class="alert alert-info">
                <strong>Important!</strong> La suppression d'un groupe entraine la suppression des articles et commentaires associés. De la même manière, un article est supprimé avec ses commentaires.<br/>
                Le vidage de la table des groupes entraine donc le vidage des tables des commentaires et articles (il en va de même pour le vidage de la table des articles et des commentaires).<br/>
                <br/>
                Le nettoyage du réseau social entraine la suppression de toutes les informations, groupes/articles/commentaires, ainsi que les réseaux d'amis, les chats etc.
                <br/><br/>
                Toute action de suppression est irréversible. <b>Il est conseillé de faire une sauvegarde de la base avant toute action de suppression.</b>
                <label class="checkbox">
                    <input type="checkbox" class="checkBoxClass"> Activer la suppression
                </label>
            </div>
        </div>
        <div class="col-md-4 text-right">
            Choisissez une date de purge :
            <span class="glyphicon glyphicon-calendar"></span><input id="datepicker" class="span2" type="text" readonly="" data-date-format="dd/mm/yyyy" size="8">
            </input>
        </div>
        <div class="col-md-4">
            <button class="btn btn-primary btn-block btnPurgeCommentsMonth" type="button" disabled>Supprimer les commentaires antérieurs à <span id="DateRefCmt"></span></button>
            <button class="btn btn-primary btn-block btnPurgeArticlesMonth" type="button" disabled>Supprimer les articles antérieurs à <span id="DateRefArt"></span></button>
            <hr>
            <button class="btn btn-primary btn-block btnPurgeComments" type="button" disabled>Supprimer tous les commentaires</button>
            <button class="btn btn-primary btn-block btnPurgeArticles" type="button" disabled>Supprimer tous les articles</button>
            <button class="btn btn-primary btn-block btnPurgeGroupes" type="button" disabled>Supprimer tous les groupes</button>
            <button class="btn btn-primary btn-block btnPurgeReseauSocial" type="button" disabled>Remise à zéro du réseau social</button>
            <hr>
            <button class="btn btn-primary btn-block btnPurgeOnglets" type="button" disabled>Supprimer tous les onglets Posh</button>
            <div id="content_info"></div>
        </div>
    </div>
</div>
</body>
</html>
<?php
	}else{
		echo "<p class=\"erreur\">Erreur - Vous ne pouvez accéder à cette ressource.</p>";
	}
}else{
	echo "<p class=\"erreur\">Erreur - Mauvaise gestion des utilisateurs. Merci de contacter l'administrateur.</p>";
}
?>