<script>
$(document).ready(function() {
	hide_resultat();

    //Gestion class active sur menu
    $("[id^='li']").click(function () {
        var myId = $(this).attr("id");
        $("[id^='li']").removeAttr('class');
        $('#'+myId+'').attr("class", "active");
    });
});
function show_resultat(type){
	hide_resultat();
    $('#content_info').hide();
	$('#container_recherche_'+type+'').slideUp(0).fadeIn(400);
}
function hide_resultat(){
	$('#container_recherche_g').hide();
	$('#container_recherche_a').hide();
	$('#container_recherche_c').hide();
	//$('#container_recherche_u').hide();
}
</script>
<?php
require_once dirname(__FILE__).'/../../includes/base.inc.php';

//Récuperation du modèle pour le requetâge SQL
include dirname(__FILE__).'/../modeles/groupes.php';
include dirname(__FILE__).'/../modeles/articles.php';
include dirname(__FILE__).'/../modeles/comments.php';
include dirname(__FILE__).'/../modeles/users.php';

@session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if(isset($_POST['texte'])&&(!empty($_POST['texte']))){

		$texte = Secure::bdd(trim($_POST['texte']));

		if(strlen($texte) >= 3){

			//Récuperation de tous les résultats de recherche + compteurs
			$resultat_rech_group = recuperer_group_recherche($texte);
			$resultat_rech_article = recuperer_article_recherche($texte);
			$resultat_rech_comment_message = recuperer_comment_recherche_message($texte);
			//$resultat_rech_user = recuperer_user_recherche($texte);

			?>
            <div class="container-fluid">
                <div class="col-md-12">
                    <h3 onclick="hide_resultat();">Résultats de la recherche contenant <?php echo Secure::html($texte); ?></h3>
                </div>
                <div class="col-md-4">
                    <ul class="nav nav-pills nav-stacked">
                         <li id="li0">
                            <a href="#" onclick="show_resultat('g');">
                                <span class="badge pull-right badge-info"><?php echo Secure::html(sizeof($resultat_rech_group));?></span>
                                Résultat(s) dans les groupes
                            </a>
                        </li>
                        <li id="li1">
                            <a href="#" onclick="show_resultat('a');">
                                <span class="badge pull-right badge-info"><?php echo Secure::html(sizeof($resultat_rech_article));?></span>
                                Résultat(s) dans les articles
                            </a>
                        </li>
                        <li id="li2">
                            <a href="#" onclick="show_resultat('c');">
                                <span class="badge pull-right badge-info"><?php echo Secure::html(sizeof($resultat_rech_comment_message));?></span>
                                Résultat(s) dans les commentaires
                            </a>
                        </li>
                        <!--<li id="li3">
                            <a href="#" onclick="show_resultat('u');">
                                <span class="badge pull-right badge-info"><?php //echo Secure::html(sizeof($resultat_rech_user));?></span>
                                Résultat(s) dans les utilisateurs
                            </a>
                        </li>-->
                    </ul>
                </div>
                <div class="col-md-8">
                    <?php
                    /******************************************* Recherche dans les Groupes **********************************/
                    echo '<div id="container_recherche_g">';
                        echo '<table class="table table-hover table-condensed" style="table-layout: fixed;">';
                        if(!empty($resultat_rech_group)){
                            foreach($resultat_rech_group as $key => $group){
                                $name = str_ireplace($texte, '<span class="text-danger">'.$texte.'</span>', Secure::html($group['name']));
								$description = str_ireplace($texte, '<span class="text-danger">'.$texte.'</span>', Secure::strip($group['description']));
                                echo '<li class="list-group-item truncate myhover" onclick="hide_resultat();recup_info_ajax(\'groupes\','.Secure::bdd($group['id']).');">'.$name.' : ';
                                if(Secure::html($group['description'])!=''){
                                    echo $description.'</li>';
                                }else{
                                    echo 'Aucune description</li>';
                                }
                            }
                        }else{
                            echo '<li class="list-group-item truncate">Aucun groupe trouvé avec le mot "'.Secure::html($texte).'"</li>';
                        }
                        echo '</table>';
                    echo '</div>';
                    /*********************************** Recherche dans les titres Articles **********************************/
                    echo '<div id="container_recherche_a">';
                        echo '<table class="table table-hover table-condensed" style="table-layout: fixed;">';
                        if(!empty($resultat_rech_article)){
                            foreach($resultat_rech_article as $key => $article){
                                $titre = str_ireplace($texte, '<span class="text-danger">'.$texte.'</span>', Secure::html($article['title']));
                                $description = str_ireplace($texte, '<span class="text-danger">'.$texte.'</span>', Secure::strip_desc($article['description']));
                                echo '<li class="list-group-item truncate myhover" onclick="hide_resultat();recup_info_ajax(\'articles\','.Secure::bdd($article['id']).');">'.$titre.' : ';
                                if(Secure::html($article['description'])!=''){
                                    echo $description.'</li>';
                                }else{
                                    echo 'Aucune description</li>';
                                }
                            }
                        }else{
                            echo '<li class="list-group-item truncate">Aucun article trouvé avec le mot "'.Secure::html($texte).'"</li>';
                        }
                        echo '</table>';
                    echo '</div>';
                    /*********************************** Recherche dans les messages Commentaires ******************************/
                    echo '<div id="container_recherche_c">';
                        echo '<table class="table table-hover table-condensed" style="table-layout: fixed;">';
                            if(!empty($resultat_rech_comment_message)){
                                foreach($resultat_rech_comment_message as $key => $comment){
                                    $commentaire = str_ireplace($texte, '<span class="text-danger">'.$texte.'</span>', Secure::strip($comment['message']));
                                    echo '<li class="list-group-item truncate myhover" onclick="hide_resultat();recup_info_ajax(\'comments\','.Secure::bdd($comment['id']).');">'.$commentaire.'</li>';
                                }
                            }else{
                                echo '<li class="list-group-item truncate">Aucun commentaire trouvé avec le mot "'.Secure::html($texte).'"</li>';
                            }
                        echo '</table>';
                    echo '</div>';
                    /*********************************** Recherche dans utilisateurs ******************************/
                    /*echo '<div id="container_recherche_u">';
                        echo '<table class="table table-hover table-condensed" style="table-layout: fixed;">';
                            if(!empty($resultat_rech_user)){
                                foreach($resultat_rech_user as $key => $user){
                                    $utilisateur = str_ireplace($texte, '<span class="text-danger">'.$texte.'</span>', Secure::strip($user['long_name']));
                                    echo '<li class="list-group-item truncate myhover">'.$utilisateur.'</li>';
                                }
                            }else{
                                echo '<li class="list-group-item truncate">Aucun utilisateur trouvé avec le mot "'.Secure::html($texte).'"</li>';
                            }
                        echo '</table>';
                    echo '</div>';*/
                    ?>
                    <div id="content_info"></div>
                </div>
            </div>
            <?php
		}else{
			echo "Veuillez saisir au moins 3 caractères.";
		}
	}else{
		echo "Veuillez saisir un mot à rechercher.";
	}
}else{
	redir($adresse);
}
?>